#   Module is dynamically loaded and references to X Server, and other
# modules resolved at runtime.
%define _disable_ld_no_undefined 1

%define name		x11-driver-video-%{chipset}
%define chipset		geode
# 20081113
%define snapshot	0
%define version		2.11.1
%define rel		1
%if %snapshot
%define release		%mkrel 2.%{snapshot}.%{rel}
%define distname	xf86-video-%{chipset}-%{snapshot}
%else
%define release		%mkrel %{rel}
%define distname	xf86-video-%{chipset}-%{version}
%endif

Name: %{name}
Version: %{version}
Release: %{release}
Summary: X.org driver for AMD Geode GX and LX Processors
Group: System/X11
URL: http://xorg.freedesktop.org
# git://anongit.freedesktop.org/git/xorg/driver/xf86-video-geode
# git archive --format=tar --prefix=xf86-video-geode-$(date +%Y%m%d)/ master |
#   bzip2 > ../xf86-video-geode-$(date +%Y%m%d).tar.bz2
Source: http://xorg.freedesktop.org/releases/individual/driver/%{distname}.tar.bz2
Patch0: xf86-video-geode-2.9.0-scale-display.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86}
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
# geode replaces amd driver (renamed in order to prevent confusion after AMD/ATI merge),
# and cyrix and nsc drivers (http://lists.freedesktop.org/archives/xorg/2008-July/036970.html)
Provides: x11-driver-video-amd 
Provides: x11-driver-video-cyrix
Provides: x11-driver-video-nsc
Obsoletes: x11-driver-video-amd
Obsoletes: x11-driver-video-cyrix <= 1.1.0-7mdv2008.1
Obsoletes: x11-driver-video-nsc <= 2.8.3-5mdv2009.0

%description
This is the X graphics driver for the AMD Geode GX and LX processors.
The GX driver features XAA and EXA support for graphics acceleration,
and the LX driver supports EXA (including compositing).  Both drivers
suppport dynamic rotation with XRandR, and Xv overlay support.

%prep
%setup -q -n %{distname}
# used on Guillemot eCafe
#%patch0 -p1 -b .sds
%if %snapshot
./autogen.sh
%endif

%build
autoreconf -v --install
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%{_libdir}/xorg/modules/drivers/ztv_drv.la
%{_libdir}/xorg/modules/drivers/ztv_drv.so
%{_libdir}/xorg/modules/drivers/geode_drv.la
%{_libdir}/xorg/modules/drivers/geode_drv.so


%changelog
* Wed Feb 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.11.1-1mdv2009.1
+ Revision: 342650
- New version 2.11.1

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.11.0-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Thu Dec 18 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.11.0-1mdv2009.1
+ Revision: 315654
- New version 2.11.0

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.com> 2.10.1-3mdv2009.1
+ Revision: 308214
- provide and obsolete nsc and cyrix as well as amd
  http://lists.freedesktop.org/archives/xorg/2008-July/036970.html

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.com> 2.10.1-2mdv2009.1
+ Revision: 308147
- rebuild for new X server

  + Olivier Blin <oblin@mandriva.com>
    - disable scale display patch (should be made configurable?)
    - add support for scaling display to 1024x600 (from Warly)

* Mon Aug 25 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.10.1-1mdv2009.0
+ Revision: 275728
- Update to version 2.10.1

* Tue Jul 15 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.10.0-1mdv2009.0
+ Revision: 236163
- Update to version 2.10.0

* Wed May 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.9.0-3mdv2009.0
+ Revision: 212523
- fix upgrade since "the xf86-video-amd driver has been renamed to
  xf86-video-geode to avoid confusion with AMD's other GPU offerings"
- add missing dot at end of description
- improved summary

* Fri May 23 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.9.0-2mdv2009.0
+ Revision: 210736
- o Add _disable_ld_no_undefined to spec. This is required due to the dynamic
  module system adopted by the X Server.

  + Adam Williamson <awilliamson@mandriva.com>
    - conflict with amd < 2.7.7.7-2mdv to ensure upgrade works correctly

* Mon May 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.9.0-1mdv2009.0
+ Revision: 206307
- The geode driver, like the amd driver, only compiles on 32 bit x86.
- Import geode driver, version 2.9.0.
- x11-driver-video-geode

